List the import runs of an organization
Returns the import runs of the organization, most recent first. Runs left behind by an import that never reported back are returned as failed.
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$Query parameters
spacestringOptional
Only return the import runs targeting this space.
changeRequeststringOptional
Only return the import runs targeting this change request.
sitestringOptional
Only return the import runs targeting a space of this site.
statusstring · enumOptionalPossible values:
Only return the import runs in this status. active covers both pending and in-progress.
pagestringOptional
Identifier of the page results to fetch.
limitnumber · max: 1000Optional
The number of results per page
Responses
200
OK
application/json
countnumberOptional
Total count of objects in the list
404
Not Found
application/json
get/org/{organizationId}/imports
GET /v1/org/{organizationId}/imports HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"next": {
"page": "text"
},
"count": 1,
"items": [
{
"object": "import-run",
"id": "text",
"startedAt": "2026-01-01T00:00:00.000Z",
"completedAt": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"status": "pending",
"reason": "text",
"source": {
"type": "website",
"url": "https://example.com"
},
"target": {
"space": "text",
"changeRequest": "text",
"page": "text"
},
"site": "text",
"createdBy": "text",
"urls": {
"location": "https://example.com"
},
"pages": [
{
"id": "text",
"sourceURL": "text",
"type": "page",
"status": "complete"
}
]
}
]
}Last updated
Was this helpful?